#ifndef _SUGGESTMGR_HXX_
#define _SUGGESTMGR_HXX_

#define MAXSWL 100
#define MAXACCENT 5

#include "atypes.hxx"
#include "affixmgr.hxx"

class SuggestMgr
{
  char *          ctry;
  int             ctryl;
  AffixMgr*       pAMgr;
  int             maxSug;
  int		  cpdsuggest;
  int checknum;
 
public:
  SuggestMgr(const char * tryme, int maxn, AffixMgr *aptr);
  ~SuggestMgr();

  int suggest(char*** slst, const char * word, int nsug);
  int check(const char *, int);

private:
   int replchars(char**, const char *, int);
   int doubledsyllable(char**, const char *, int);
   int permuteaccent(char **, char *, int, int, int, replentry *, int);
   int forgotaccent(char **, const char *, int);
   int forgotchar(char **, const char *, int);
   int swapchar(char **, const char *, int);
   int extrachar(char **, const char *, int);
   int badchar(char **, const char *, int);
   int twowords(char **, const char *, int);
};

#endif

